;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package file for Lisp Markup Language 2
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  June 2003
;;;;
;;;; $Id: package.lisp,v 1.1 2003/06/20 04:12:29 kevin Exp $
;;;;
;;;; This file, part of LML2, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; LML2 users are granted the rights to distribute and use this software
;;;; as governed by the terms of the GNU General Public License v2
;;;; (http://www.gnu.org/licenses/gpl.html)
;;;; *************************************************************************

(in-package #:cl-user)

(defpackage #:lisp-markup-language-2
  (:use #:common-lisp)
  (:nicknames #:lml2)
  (:export

   ;; base.lisp
   #:*print-spaces*
   #:reset-indent
   #:with
   #:print-page
   #:page
   #:lml-format
   #:lml-print
   #:lml-princ
   #:lml-write-char
   #:lml-write-string
   #:lml-print-date
   #:*html-output*

   ;; htmlgen.lisp
   #:html #:html-print #:html-print-subst #:html-print-list #:html-print-list-subst
   #:html-stream #:*html-stream*


   ;; files.lisp
   #:with-dir
   #:process-dir
   #:lml-load
   #:include-file

   ;; stdsite.lisp
   #:print-std-page
   #:std-page
   #:std-body
   #:std-head
   #:titled-pre-section
   
   ;; downloads.lisp
   #:std-dl-page
   #:full-dl-page

   ;; utils.lisp
   #:lml-quit
   #:lml-cwd
))
